Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.designtime.internal.provisional
Class DesignTimeApplicationManager

    java.lang.Object
      org.eclipse.jst.jsf.designtime.internal.provisional.DesignTimeApplicationManager

public class DesignTimeApplicationManager
extends java.lang.Object

Per-web-application manager that manages design time information for a corresponding project. Clients should not sub-class.

Method Summary
`java.lang.String` | `getExternalContextProvider()`
`DTFacesContext` | `getFacesContext(org.eclipse.core.resources.IFile file)`
`static DesignTimeApplicationManager` | `getInstance(org.eclipse.core.resources.IProject project)`
`AbstractDTMethodResolver` | `getMethodResolver()`
`java.lang.String` | `getMethodResolverProvider()`
`AbstractDTPropertyResolver` | `getPropertyResolver()`
`java.lang.String` | `getPropertyResolverProvider()`
`AbstractDTVariableResolver` | `getVariableResolver()`
`java.lang.String` | `getVariableResolverProvider()`
`void` | `setExternalContextProvider(java.lang.String resolverPluginId)`
`void` | `setMethodResolverProvider(java.lang.String resolverPluginId)`
`void` | `setPropertyResolverProvider(java.lang.String resolverPluginId)`
`void` | `setVariableResolverProvider(java.lang.String resolverPluginId)` Sets the plugin used to determine the designtime variable resolver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final DesignTimeApplicationManager getInstance(org.eclipse.core.resources.IProject project)

  Parameters:
    `project` -
  Returns:
    the app manager associated with project

### getFacesContext

    public DTFacesContext getFacesContext(org.eclipse.core.resources.IFile file)

  Parameters:
    `file` -
  Returns:
    the faces context for the file or null if not found

### setExternalContextProvider

    public void setExternalContextProvider(java.lang.String resolverPluginId)
                                    throws org.eclipse.core.runtime.CoreException

  Parameters:
    `resolverPluginId` -
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getExternalContextProvider

    public java.lang.String getExternalContextProvider()

  Returns:
    the id of the active design time external context provider

### getVariableResolver

    public AbstractDTVariableResolver getVariableResolver()

  Returns:
    the designtime variable resolver for this application

### setVariableResolverProvider

    public void setVariableResolverProvider(java.lang.String resolverPluginId)
                                     throws org.eclipse.core.runtime.CoreException

  Sets the plugin used to determine the designtime variable resolver. To reset to the default, pass null.

  Parameters:
    `resolverPluginId` -
  Throws:
    `org.eclipse.core.runtime.CoreException` - -- if the setting the new value fails

### getVariableResolverProvider

    public java.lang.String getVariableResolverProvider()

  Returns:
    the id of the active design time variable resolver

### getPropertyResolver

    public AbstractDTPropertyResolver getPropertyResolver()

  Returns:
    the designtime property resolver for this application

### setPropertyResolverProvider

    public void setPropertyResolverProvider(java.lang.String resolverPluginId)
                                     throws org.eclipse.core.runtime.CoreException

  Parameters:
    `resolverPluginId` -
  Throws:
    `org.eclipse.core.runtime.CoreException` - -- if setting the provider fails

### getPropertyResolverProvider

    public java.lang.String getPropertyResolverProvider()

  Returns:
    the id of the active design time variable resolver

### getMethodResolver

    public AbstractDTMethodResolver getMethodResolver()

  Returns:
    the designtime method resolver for this application

### setMethodResolverProvider

    public void setMethodResolverProvider(java.lang.String resolverPluginId)
                                   throws org.eclipse.core.runtime.CoreException

  Parameters:
    `resolverPluginId` -
  Throws:
    `org.eclipse.core.runtime.CoreException` - -- if setting the plugin fails

### getMethodResolverProvider

    public java.lang.String getMethodResolverProvider()

  Returns:
    the id of the active design time variable resolver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD